commit:     eeeaa4e1dfbc965e8f06f82a5d740df520d68943
Author:     Z. Liu <zhixu.liu <AT> gmail <DOT> com>
AuthorDate: Sat May 10 04:11:20 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat May 10 18:00:18 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eeeaa4e1

sys-apps/ucspi-tcp: build w/ -std=gnu17

too many changes if port to C23

Closes: https://bugs.gentoo.org/943897
Closes: https://bugs.gentoo.org/944142
Signed-off-by: Z. Liu <zhixu.liu <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/42013
Closes: https://github.com/gentoo/gentoo/pull/42013
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/ucspi-tcp/ucspi-tcp-0.88-r20.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/sys-apps/ucspi-tcp/ucspi-tcp-0.88-r20.ebuild 
b/sys-apps/ucspi-tcp/ucspi-tcp-0.88-r20.ebuild
index 5c08c3637970..427544fce06b 100644
--- a/sys-apps/ucspi-tcp/ucspi-tcp-0.88-r20.ebuild
+++ b/sys-apps/ucspi-tcp/ucspi-tcp-0.88-r20.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit qmail toolchain-funcs
+inherit flag-o-matic qmail toolchain-funcs
 
 DESCRIPTION="Collection of tools for managing UNIX services"
 HOMEPAGE="https://cr.yp.to/ucspi-tcp.html";
@@ -60,6 +60,9 @@ src_configure() {
        # See also the patch above for generating the "makelib" script.
        tc-export AR RANLIB
 
+       append-cflags $(test-flags-CC -std=gnu17)
+
+       echo "$(tc-getCC) ${CFLAGS}"  > conf-cc || die
        echo "${EPREFIX}/usr/" > conf-home || die
 }
 

Reply via email to